#/**
#         ogr HidePartition int_ndisk int_npartition
#@brief   Oculta un apartición visible.
#@param   int_ndisk      nº de orden del disco
#@param   int_npartition nº de orden de la partición
#@return  (nada)
#@exception OG_ERR_FORMAT    formato incorrecto.
#@exception OG_ERR_NOTFOUND  disco o particion no detectado (no es un dispositivo).
#@exception OG_ERR_PARTITION tipo de partición no reconocido.
#@version 1.0 - Versión en pruebas.
#@author  Ramon Gomez, ETSII Universidad de Sevilla
#@date    2010/01/12
#*/ ##
# Variables locales.
local PART TYPE NEWTYPE
# Si se solicita, mostrar ayuda.
if [ "$*" == "help" ]; then
    ogr Help "$FUNCNAME" "$FUNCNAME int_ndisk int_npartition" \
           "$FUNCNAME 1 1"
    return
fi
# Error si no se reciben 2 parámetros.
[ $# == 2 ] || ogr RaiseError $OG_ERR_FORMAT || return $?
PART=$(ogr DiskToDev "$1" "$2") || return $?

# Obtener tipo de partición.
TYPE=$(ogr GetPartitionType "$1" "$2")
case "$TYPE" in
    NTFS)   NEWTYPE="HNTFS"  ;;
    FAT32)  NEWTYPE="HFAT32" ;;
    FAT12)  NEWTYPE="HFAT12" ;;
    FAT16)  NEWTYPE="HFAT16" ;;
    *)      ogr RaiseError $OG_ERR_PARTITION "$TYPE"
            return $? ;;
esac
# Cambiar tipo de partición.
ogr SetPartitionType $1 $2 $NEWTYPE
